Subject: [v3 2/2] ARM: tegra: Skip scu_enable(scu_base) if not Cortex A9

From: [email-masked] (Stephen Warren)
Date: Wed, 23 Jan 2013 09:37:43 -0700

On 01/23/2013 02:27 AM, Hiroshi Doyu wrote:
> Hiroshi Doyu <[email-masked]> wrote @ Wed, 23 Jan 2013 08:04:57 +0200 (EET):
> 
>> Stephen Warren <[email-masked]> wrote @ Tue, 22 Jan 2013 17:57:39 +0100:
>>
>>> Hiroshi, is this series the only dependency you need for your
>>> Tegra114
>>
>> Basically yes.
>>
>>> series? So, I could merge your Tegra114 series once this series is applied?
>>
>> But now "CCF" seems to be in. Then, the HACK(*1) needs to be replaced
>> with "Tegra114 CCF". But "Tegra114 CCF" doesn't seem ready yet. I'll check
>> if this Tegra114 series would work without "Tegra114 CCF".
>>
>> *1: http://patchwork.ozlabs.org/patch/212010/
> 
> Stephen,
> 
> Verified "Tegra114 series" worked with "for-3.9/soc" branch(inc CCF)
> with a little tweak.

Good news.

> I can post Tegra114 series again. If you want them rebased onto
> another branch, let me know.

Yes please. I will apply them to for-3.9/soc. Please assume that
for-3.9/soc will already contain "ARM: Define CPU part numbers and
implementors", and your two SCU-related patches. Include your "ARM:
tegra: Use DT /cpu node to detect number of CPU core" as the first patch
in the series. I assume that is all of the dependencies; if I've
forgotten anything, please point it out. Thanks.